import {BrowserModule} from '@angular/platform-browser';
import {NgModule} from '@angular/core';
import {HttpClientModule} from '@angular/common/http';

import {AppComponent} from './app.component';

import * as Components from './components';
import * as Services from './services';
import * as Pipes from './pipes';

@NgModule({
  declarations: [
    AppComponent,
    Components.HeaderComponent,
    Components.LoaderComponent,
    Components.PageTrombinoscopeComponent,
    Components.TrombinoscopeCardComponent,
    Pipes.CapitalizePipe,
  ],
  imports: [
    BrowserModule,
    HttpClientModule
  ],
  providers: [
    Services.PersonService
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }
